Bug 1461175 - Deprecated command in OSP 10 Director Installation & Usage guide
Deprecated command in OSP 10 Director Installation & Usage guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:54 EDT by Troy Wilson
Modified: 2017-06-16 13:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 13:09:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Wilson 2017-06-13 13:54:36 EDT
Description of problem:  In section 5.8 "Monitoring the overcloud creation", the documentation suggests using the command 'heat stack-list' which is deprecated and should be replaced with 'openstack stack list'.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Read document section 5.8
2.
3.

Actual results: Deprecated command 'heat stack-list'


Expected results: Current command 'openstack stack list'


Additional info:
Comment 1 Dan Macpherson 2017-06-14 02:09:35 EDT
Hi Troy, 

Thanks for pointing this out. I've pushed an update to OSP10 and 11 to include this change. Here's the OSP10 version:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/director_installation_and_usage/chap-configuring_basic_overcloud_requirements_with_the_cli_tools#sect-Monitoring_the_Overcloud_Creation

How does it look? Anything further required for this BZ?
Comment 2 Troy Wilson 2017-06-16 12:51:25 EDT
(In reply to Dan Macpherson from comment #1)
> How does it look? Anything further required for this BZ?

Looks good to me!  Nothing else is required.
Comment 3 Dan Macpherson 2017-06-16 13:09:14 EDT
Thanks, Troy!

Note You need to log in before you can comment on or make changes to this bug.